Bug 214042 - keyring plugin not compiled?
keyring plugin not compiled?
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: jpilot (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-04 19:26 EST by Mads Villadsen
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-28 04:40:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mads Villadsen 2006-11-04 19:26:41 EST
Description of problem:
The keyring plugin (which according to jpilot.org is included with jpilot)
doesn't appear to be compiled in the rpm.

It would be really nice to have this plugin - either in the main rpm or in a
separate rpm.

Version-Release number of selected component (if applicable):
jpilot-0.99.8-7.1
Comment 1 Carlo Graziani 2006-11-14 11:22:59 EST
I have looked into this a little.  I downloaded the FC6 SRPM and built it on an
FC2 system.  The keyring plug-in was built correctly.

I have also verified that no patch in the SRPM attempts to prevent the keyring
plug-in from being built.

A perusal of the configure file in the source directory reveals a possible
source of trouble:  if the OpenSSL headers are not found, keyring is not built.
 The build then issues a warning, but not an error.

It therefore seems possible that the distributed FC6 package was built on a
machine that did not have the openssl-devel package installed, and the build
anomaly went unniticed.  That would match the observed behavior.

As a test, someone with access to an FC6 box should -- after verifying the
installation of all required -devel packages, including openssl -- download,
install, and rpmbuild -bb the jpilot source RPM.  I'm betting the resulting
binary RPM will contain the missing plug-in.
Comment 2 Andy Campbell 2006-11-27 17:10:57 EST
Yep it builds correctly with openssl-devel installed on FC6 64bit.

I grabbed 

http://download.fedora.redhat.com/pub/fedora/linux/core/6/source/SRPMS/jpilot-0.99.8-7.1.src.rpm

Ran ...

rpmbuild --rebuild jpilot-0.99.8-7.1.src.rpm

And Installed with ...

cd /usr/src/redhat/RPMS/x86_64
rpm -Uvh jpilot-0.99.8-7.1.x86_64.rpm
Comment 3 Ivana Varekova 2006-11-28 04:40:07 EST
Thanks for your bug report and investigation. 
Fixed in jpilot-0.99.8-8.fc6.

Note You need to log in before you can comment on or make changes to this bug.